#ifndef _SQUISH_COMPRESS_NOTIFIER_H_
#define _SQUISH_COMPRESS_NOTIFIER_H_
/*
 *  SquishCompressNotifier.h
 *  squish
 *
 *  Created by Da Woon Jung on 6/26/06.
 *
 */

#include "squish.h"

@class SquishProgressController;


class SquishCompressNotifier : public squish::ProgressNotifier
{
public:
    SquishCompressNotifier(SquishProgressController *);

    virtual void update(double progress);
    virtual void abort();
    virtual bool isAborted();

private:
    SquishProgressController *progressController;
    time_t progressTime;
    bool aborted;
};

#endif _SQUISH_COMPRESS_NOTIFIER_H_
